Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
fxdefs.cpp File Reference
`#include "fxdefs.h"`
`#include "featdefs.h"`
`#include "mf.h"`
`#include "outfeat.h"`
`#include "picofeat.h"`
`#include "normfeat.h"`

Go to the source code of this file.

## Functions

void | SetupExtractors (FEATURE_DEFS_STRUCT *FeatureDefs)

## Variables

const FEATURE_EXT_STRUCT | MicroFeatureExt = { ExtractMicros }
const FEATURE_EXT_STRUCT | CharNormExt = { ExtractCharNormFeatures }
const FEATURE_EXT_STRUCT | IntFeatExt = { ExtractIntCNFeatures }
const FEATURE_EXT_STRUCT | GeoFeatExt = { ExtractIntGeoFeatures }
const FEATURE_EXT_STRUCT * | ExtractorDefs [NUM_FEATURE_TYPES]

## Function Documentation

void SetupExtractors | ( | FEATURE_DEFS_STRUCT * | FeatureDefs | ) |

Definition at line 42 of file fxdefs.cpp.

{
for (int i = 0; i < NUM_FEATURE_TYPES; ++i)
FeatureDefs->FeatureExtractors[i] = ExtractorDefs[i];
}

## Variable Documentation

const FEATURE_EXT_STRUCT CharNormExt = { ExtractCharNormFeatures }

Definition at line 30 of file fxdefs.cpp.

const FEATURE_EXT_STRUCT* ExtractorDefs[NUM_FEATURE_TYPES]

Initial value:
{
&MicroFeatureExt,
&CharNormExt,
&IntFeatExt,
&GeoFeatExt
}

Definition at line 35 of file fxdefs.cpp.

const FEATURE_EXT_STRUCT GeoFeatExt = { ExtractIntGeoFeatures }

Definition at line 32 of file fxdefs.cpp.

const FEATURE_EXT_STRUCT IntFeatExt = { ExtractIntCNFeatures }

Definition at line 31 of file fxdefs.cpp.

const FEATURE_EXT_STRUCT MicroFeatureExt = { ExtractMicros }

Definition at line 29 of file fxdefs.cpp.